<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:java="http://xml.apache.org/xslt/java"
extension-element-prefixes="java">

<xsl:include href="style.xsl"/>

<xsl:output method="html"/>  

<xsl:template match="page">
<xsl:variable name="collName"><xsl:value-of select="request/paramList/param[@name='c']/@value"/></xsl:variable>
<html>
<xsl:call-template name="greenstoneHead"/>
<body xsl:use-attribute-sets="body-style">
<center>
<xsl:call-template name="collectionPageBanner">
<xsl:with-param name="collName" select="$collName"/>
</xsl:call-template>
<xsl:apply-templates select="service/classifierList">
<xsl:with-param name="collName" select="$collName"/>
</xsl:apply-templates>
<p/>
<xsl:apply-templates select="response/content/classifier">
<xsl:with-param name="collName" select="$collName"/>
</xsl:apply-templates>
</center>
<xsl:call-template name="greenstoneFooter"/>
</body>
</html>
</xsl:template>

<xsl:template match="classifierList">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name="library" select="ancestor::page/config/library_name"/>
<xsl:variable name="selected" select="ancestor::page/response/content/classifier/@name"/>
<table width='537'><tr>
<xsl:for-each select="classifier">
<xsl:choose>
<xsl:when test="@name=$selected">
<td align='center'><xsl:value-of select="metadataList/metadata[@name='Title']"/></td>
</xsl:when>
<xsl:otherwise>
<td align='center'><a href="{$library}?a=b&amp;sa=Classifier&amp;c={$collName}&amp;cl={@name}"><xsl:value-of select="metadataList/metadata[@name='Title']"/></a></td></xsl:otherwise></xsl:choose>
</xsl:for-each>
</tr></table>
<xsl:call-template name="greenBar"/>
</xsl:template>

<!-- recursively process all nodes and documents -->

<xsl:template match="classifier[@type='vertical' and @interleave='true']">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name='link' select='@link'/>
<table width='537'><xsl:for-each select='node|document'>
<xsl:choose><xsl:when test='name()="node"'><tr valign='top'><xsl:apply-templates select='.' mode='current-node'><xsl:with-param name='link' select='$link'/><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates></tr><tr valign='top'><td></td><xsl:apply-templates select='.' mode='process-all-children'><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='link' select='$link'/></xsl:apply-templates></tr>
</xsl:when>
<xsl:otherwise><tr valign='top'><xsl:apply-templates select='.'><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates></tr>
</xsl:otherwise></xsl:choose>
</xsl:for-each>
</table>
<xsl:call-template name="greenBar"/>
</xsl:template>

<xsl:template match="classifier[@type='vertical' and @interleave='false']">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name='link' select='@link'/>
<!-- process the nodes and documents separately-->
<table width='537'>
<xsl:for-each select='node'>
<tr valign='top'><xsl:apply-templates select='.' mode='current-node'><xsl:with-param name='link' select='$link'/><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates></tr><tr valign='top'><td></td><xsl:apply-templates select='.' mode='process-node-children'><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='link' select='$link'/></xsl:apply-templates></tr></xsl:for-each>
</table>
<table width='537'>
<xsl:for-each select='//document'>
<tr valign='top'><xsl:apply-templates select='.'><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates></tr>
</xsl:for-each>
</table>
<xsl:call-template name="greenBar"/>
</xsl:template>

<xsl:template match="classifier[@type='horizontal' and @interleave='false']">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name='link' select='@link'/>
<!-- process the nodes and documents separately-->

<table width='537'><tr valign='top'>
<xsl:for-each select='node'>
<xsl:apply-templates select='.' mode='current-node'><xsl:with-param name='link' select='$link'/><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates>
</xsl:for-each></tr>
<tr valign='top'>
<xsl:for-each select='node'>
<xsl:apply-templates select='.' mode='process-node-children'><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='link' select='$link'/></xsl:apply-templates></xsl:for-each></tr>
</table>
<table width='537'>
<xsl:for-each select='//document'>
<tr valign='top'><xsl:apply-templates select='.'><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates></tr>
</xsl:for-each>
</table>
<xsl:call-template name="greenBar"/>
</xsl:template>

<xsl:template match="classifier[@type='horizontal' and @interleave='true']">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name='link' select='@link'/>
<!-- process the nodes and documents together -->

<table><tr valign='top'>
<xsl:for-each select='node|document'>
<xsl:choose><xsl:when test='name()="node"'><xsl:apply-templates select='.' mode='current-node'><xsl:with-param name='link' select='$link'/><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates>
</xsl:when>
<xsl:otherwise><xsl:apply-templates select='.'><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates>
</xsl:otherwise></xsl:choose>
</xsl:for-each>
</tr>
<tr valign='top'>
<xsl:for-each select='node|document'>
<xsl:choose><xsl:when test='name()="node" and node|document'><xsl:if test="$link='icon'"><td></td></xsl:if><xsl:apply-templates select='.' mode='process-all-children'><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='link' select='$link'/></xsl:apply-templates></xsl:when>
<xsl:otherwise><td></td><xsl:if test="$link='icon'"><td></td></xsl:if>
</xsl:otherwise>
</xsl:choose>
</xsl:for-each></tr>
</table>
<xsl:call-template name="greenBar"/>
</xsl:template>

<!-- different template for document, not used at the moment
priority attribute used to decide which template to use -->
<!--
<xsl:template match="document" priority="1">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name='library' select='ancestor::page/config/library_name'/>
<xsl:variable name='year' select="metadataList/metadata[@name='Year']"/>
<xsl:variable name='month' select="metadataList/metadata[@name='Month']"/>
<td><b><xsl:if test="not($year = preceding-sibling::document[1]/metadataList/metadata[@name='Year'])"><xsl:value-of select="$year"/></xsl:if></b></td>
<td><b><xsl:if test="not($year = preceding-sibling::document[1]/metadataList/metadata[@name='Year'] and $month = preceding-sibling::document[1]/metadataList/metadata[@name='Month'])"><xsl:value-of select="$month"/></xsl:if></b></td>
<td><a href="{$library}?a=r&amp;c={$collName}&amp;r={@name}"><img src='interfaces/default/images/book.gif' width='18' height='11' border='0'/></a></td><td><xsl:value-of select="metadataList/metadata[@name='Title']"/></td>
</xsl:template>
-->

<xsl:template match="document">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:variable name='library' select='ancestor::page/config/library_name'/>
<td><a href="{$library}?a=d&amp;c={$collName}&amp;d={@name}"><img src='interfaces/default/images/book.gif' width='18' height='11' border='0'/></a></td><td><xsl:value-of select="metadataList/metadata[@name='Title']"/></td>
</xsl:template>


<!-- the output for the classifier link and label, may be overwritten -->

<xsl:template match="node" mode="current-node">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:param name="link">icon</xsl:param>
<xsl:variable name="library" select="ancestor::page/config/library_name"/>
<xsl:choose><xsl:when test="$link='icon'">
<td><a><xsl:attribute name='href'><xsl:value-of select='$library'/>?a=b&amp;sa=Classifier&amp;c=<xsl:value-of select='$collName'/>&amp;cl=<xsl:value-of select='@name'/><xsl:if test="node|document">.pr</xsl:if></xsl:attribute><img src='interfaces/default/images/bshelf.gif' border='0' width='20' height='16' /></a></td><td align='left'><xsl:value-of select="metadataList/metadata[@name='Title']"/></td>
</xsl:when><xsl:otherwise>
<td><a><xsl:attribute name='href'><xsl:value-of select='$library'/>?a=b&amp;sa=Classifier&amp;c=<xsl:value-of select='$collName'/>&amp;cl=<xsl:value-of select='@name'/><xsl:if test="node|document">.pr</xsl:if></xsl:attribute><xsl:value-of select="metadataList/metadata[@name='Title']"/></a></td>
</xsl:otherwise></xsl:choose>
</xsl:template>

<!-- processing for the recursive bit -->
<!-- if interleave=true, process all child nodes and documents, else just do nodes -->


<xsl:template match="node" mode="process-all-children">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:param name="link">icon</xsl:param>
<td><p/>
<xsl:choose><xsl:when test='@type="vertical"'>
<table><xsl:for-each select='node|document'>
<xsl:choose><xsl:when test='name()="node"'><tr valign='top'><xsl:apply-templates select='.' mode='current-node'><xsl:with-param name='link' select='$link'/><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates></tr><tr valign='top'><td></td><xsl:apply-templates select='.' mode='process-all-children'><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='link' select='$link'/></xsl:apply-templates></tr>
</xsl:when>
<xsl:otherwise><tr valign='top'><xsl:apply-templates select='.'><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates></tr>
</xsl:otherwise></xsl:choose>
</xsl:for-each></table>
</xsl:when>
<xsl:otherwise>
<table><tr valign='top'><xsl:for-each select='node|document'>
<xsl:choose><xsl:when test='name()="node"'><xsl:apply-templates select='.' mode='current-node'><xsl:with-param name='link' select='$link'/><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates><xsl:apply-templates select='.' mode='process-all-children'><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='link' select='$link'/></xsl:apply-templates>
</xsl:when>
<xsl:otherwise><xsl:apply-templates select='.'/>
</xsl:otherwise></xsl:choose>
</xsl:for-each>
</tr></table>
</xsl:otherwise></xsl:choose>
</td>
</xsl:template>


<xsl:template match="node" mode="process-node-children">
<xsl:param name="collName">coll-name</xsl:param>
<xsl:param name="link">icon</xsl:param>
<td><p/>
<xsl:if test='node'><!-- only do this if there are child nodes - netscape craps out at an empty table like <table  /> -->
<xsl:choose><xsl:when test='@type="vertical"'>
<table><xsl:for-each select='node'><tr valign='top'><xsl:apply-templates select='.' mode='current-node'><xsl:with-param name='link' select='$link'/><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates></tr><tr valign='top'><td></td><xsl:apply-templates select='.' mode='process-node-children'><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='link' select='$link'/></xsl:apply-templates></tr></xsl:for-each></table>
</xsl:when>
<xsl:otherwise>
<table><tr valign='top'><xsl:apply-templates select='node' mode='current-node'><xsl:with-param name='link' select='$link'/><xsl:with-param name='collName' select='$collName'/></xsl:apply-templates><xsl:apply-templates select='node' mode='process-node-children'><xsl:with-param name='collName' select='$collName'/><xsl:with-param name='link' select='$link'/></xsl:apply-templates></tr></table>
</xsl:otherwise></xsl:choose> 
</xsl:if>
</td>
</xsl:template>

</xsl:stylesheet>




